Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.storage
Class SmallBlockTableReader

    java.lang.Object
      org.apache.poi.poifs.storage.SmallBlockTableReader

    public final class SmallBlockTableReader

extends java.lang.Object

This class implements reading the small document block list from an existing file

Author:
  Marc Johnson (mjohnson at apache dot org)

Constructor Summary
`SmallBlockTableReader()`

Method Summary
`static BlockList` | `getSmallDocumentBlocks(POIFSBigBlockSize bigBlockSize, RawDataBlockList blockList, RootProperty root, int sbatStart)` fetch the small document block list from an existing file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmallBlockTableReader

    public SmallBlockTableReader()

Method Detail

### getSmallDocumentBlocks

    public static BlockList getSmallDocumentBlocks(POIFSBigBlockSize bigBlockSize,
                                                   RawDataBlockList blockList,
                                                   RootProperty root,
                                                   int sbatStart)
                                            throws java.io.IOException

  fetch the small document block list from an existing file

  Parameters:
    `blockList` - the raw data from which the small block table will be extracted
    `root` - the root property (which contains the start block and small block table size)
    `sbatStart` - the start block of the SBAT
  Returns:
    the small document block list
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.